import { useEffect, useState } from 'react';
import ReactQuill from 'react-quill';
import 'react-quill/dist/quill.snow.css';

const RichText = (props: { setContent: any }) => {
  const { setContent } = props;
  const [value, setValue] = useState('');

  useEffect(() => {
    if (value) {
      setContent(value);
    }
  }, [value]);

  const modules = {
    toolbar: {
      container: [
        [{ header: [1, 2, 3, 4, 5, 6, false] }],
        ['bold', 'italic', 'underline', 'strike'],
        [{ list: 'ordered' }, { list: 'bullet' }],
        [{ align: [] }],
        [{ color: [] }, { background: [] }],
        ['link', 'image'],
        ['clean'],
      ],
    },
  };

  return (
    <ReactQuill
      style={{ height: 300 }}
      theme="snow"
      value={value}
      onChange={setValue}
      modules={modules}
      className=" ql-editor"
    />
  );
};

export default RichText;
